import { useDictionaryStoreHook } from "@/store";
const { dicts } = useDictionaryStoreHook();
import dictDataUtil from "@/common/configs/dictDataUtil";
import { useCrud } from "@/hooks/userCrud";
const { form, data, option, search, page, toDeleteIds, Methords, Utils } =
  useCrud({
    src: "/api/v1/base/drawing",
  });
const { dataList, createRow, updateRow, deleteRow, searchChange, resetChange } =
  Methords;
const drawing=reactive({});

export const columns = [
  { label: "图纸编号", prop: "drawingCode", width: 140,search: true,overHidden: true ,rules: [{
      required: true,
      message: "请填写图纸编号",
      trigger: "blur"
    }],},
  { label: "图纸名称", prop: "drawingTitle", width: 130,overHidden: true,search: true ,rules: [{
      required: true,
      message: "请填写图纸名称",
      trigger: "blur"
    }],},
  { label: "物料编号", prop: "associationCode", width: 140,search: true,overHidden: true ,addDisplay: false,editDisplay: false},
  { label: "物料名称", prop: "associationName", width: 140,search: true,overHidden: true ,addDisplay: false,editDisplay: false},
  {
    label: "图纸类型",
    prop: "drawingDictValue",
    search: true,
    filterable: true,
    type: 'select',
    width: 100,overHidden: true,
    dicUrl: dictDataUtil.request_url + "drawing_type",
    props: { label: "dictLabel", value: "dictValue" },
    rules: [{
      required: true,
      message: "请选择物料属性",
      trigger: "blur"
    }],
  },
  {
    label: "文件",
    prop: "drawingPath",
    span: 24,
    slot: true,
    hide:true,
  },
  /*{ label: "文件",
    prop: "drawing",
    type: 'img',
    span: 24,
    display:false,
    slot: true,
    formatter: (row, column, cellValue, index) => {
      return import.meta.env.VITE_APP_UPLOAD_URL + `${row.drawingPath}`;} },*/
  {
    label: "版本",
    prop: "drawingVersion",
    type:"number",
    precision:1,
    rules: [{
      required: true,
      message: "版本号不能为空",
      trigger: "blur"
    }]


  },
  {
    label: "创建时间",
    prop: "created",
    display:false,
  },
  { label: "启用状态",
    slot:true,
    headerAlign: 'center',
    prop: "enable",
    width: 100,
    addDisplay: false
  },
];
